#ifndef MODULE_H
#define MODULE_H

#include <string>
#include <nlohmann/json.hpp>

class Module {
    std::string path;
    std::wstring name;
    std::wstring goods_name_regex;
    std::wstring goods_price_regex;
    std::wstring goods_quantity_regex;
public:
    Module(std::string);
    Module();

    std::vector<std::string> parse_name(std::wstring);
    std::vector<std::string> parse_price(std::wstring);
    std::vector<std::string> parse_quantity(std::wstring);

    std::wstring get_name();
};

#endif // MODULE_H
